export declare type EosioAuthorizationObject = {
    actor: string;
    permission: string;
};
export declare type EosioActionObject = {
    account: string;
    name: string;
    authorization: EosioAuthorizationObject[];
    data: any;
};
export declare class ActionGenerator {
    readonly contract: string;
    readonly token_contract: string;
    constructor(contract: string, token_contract: string);
    createDao(authorization: EosioAuthorizationObject[], owner: string, description: string): Promise<EosioActionObject[]>;
    createProposal(authorization: EosioAuthorizationObject[], proposer: string, dao_id: number, title: string, summary: string, url: string, vote_start: string, vote_end: string): Promise<EosioActionObject[]>;
    createStakeProposal(authorization: EosioAuthorizationObject[], proposer: string, dao_id: number, to: string, quantity: string, vote_start: string, vote_end: string): Promise<EosioActionObject[]>;
    createInflateProposal(authorization: EosioAuthorizationObject[], proposer: string, dao_id: number, to: string, quantity: string, vote_start: string, vote_end: string): Promise<EosioActionObject[]>;
    createDeflateProposal(authorization: EosioAuthorizationObject[], proposer: string, dao_id: number, from: string, quantity: string, vote_start: string, vote_end: string): Promise<EosioActionObject[]>;
    approveProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    approveStakeProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    approveInflateProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    approveDeflateProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    executeProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    executeStakeProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    executeInflateProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    executeDeflateProposal(authorization: EosioAuthorizationObject[], dao_id: number, proposal_id: number): Promise<EosioActionObject[]>;
    withdraw(authorization: EosioAuthorizationObject[], owner: string, vote_id: number): Promise<EosioActionObject[]>;
    vote(authorization: EosioAuthorizationObject[], from: string, quantity: string, proposal_type: string, dao_id: string, proposal_id: string, option: string): Promise<EosioActionObject[]>;
    protected _pack(account: string, authorization: EosioAuthorizationObject[], name: string, data: any): EosioActionObject[];
}
