import { GetTableRowsPayload } from "./../../interfaces/chain.interface";
import { DAOPayload } from "./../../interfaces/dao.interface";
import { ProposalPayload } from "./../../interfaces/proposal.interface";
import { VotePayload } from "./../../interfaces/vote.interface";
export default class ChainApi {
    readonly nodeos_url: string;
    readonly contract: string;
    readonly fetch: any;
    constructor(nodeos_url: string, contract: string, fetch: any);
    getTableRows(payload: GetTableRowsPayload): Promise<any>;
    getDAOByID(opts: DAOPayload): Promise<any>;
    getDAOByOwner(opts: DAOPayload): Promise<any>;
    getDAOByDescription(opts: DAOPayload): Promise<any>;
    getProposalByID(opts: ProposalPayload): Promise<any>;
    getProposalByProposer(opts: ProposalPayload): Promise<any>;
    getStakeProposal(opts: ProposalPayload): Promise<any>;
    getStakeProposalByProposer(opts: ProposalPayload): Promise<any>;
    getInflateProposal(opts: ProposalPayload): Promise<any>;
    getInflateProposalByProposer(opts: ProposalPayload): Promise<any>;
    getDeflateProposal(opts: ProposalPayload): Promise<any>;
    getDeflateProposalByProposer(opts: ProposalPayload): Promise<any>;
    getVote(opts: VotePayload): Promise<any>;
    getVoteBySHA256(opts: VotePayload): Promise<any>;
}
